com.amazon.redshift.jdbc

## Class RedshiftWarningWrapper

- java.lang.Object
- - com.amazon.redshift.jdbc.RedshiftWarningWrapper

    public class RedshiftWarningWrapper
    extends Object

Wrapper class for SQLWarnings that provides an optimisation to add new warnings to the tail of the SQLWarning singly linked list, avoiding Θ(n) insertion time of calling #setNextWarning on the head. By encapsulating this into a single object it allows users(ie PgStatement) to atomically set and clear the warning chain.

### Constructor Summary

Constructors
Constructor and Description
`RedshiftWarningWrapper(SQLWarning warning, Properties props)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendWarning(SQLWarning sqlWarning)`
`void` `clearWarning()`
`SQLWarning` `getFirstWarning()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedshiftWarningWrapper

    public RedshiftWarningWrapper(SQLWarning warning,
                                  Properties props)

### Method Detail

#### appendWarning

    public void appendWarning(SQLWarning sqlWarning)

#### getFirstWarning

    public SQLWarning getFirstWarning()

#### clearWarning

    public void clearWarning()